document.addEventListener("DOMContentLoaded", function(event) {
  var elem=document.getElementById('flagsDiv')
  if (elem) {
    //console.log('flag support detected')

    var iPreview=document.createElement('img')
    iPreview.id='flagPreview'
    elem.appendChild(iPreview)

    var flagSelect=document.getElementById('flagCombobox')
    flagSelect.onchange=function() {
      var flag=this.options[this.selectedIndex].label
      //console.log('new flag', flag)
      if (flag=='No flag') {
        iPreview.src=''
        return
      } else
      if (flag.substr(0, 5)==='flag-') {
        var country=flag.substr(5)
        //console.log('country flag', country)
        iPreview.src='/.static/flags/'+country+'.png';
      } else {
        var flagValue=this.options[this.selectedIndex].value
        //console.log('custom flag', flagValue, 'boardUri', boardUri)
        iPreview.src='/'+boardUri+'/flags/'+flagValue
      }
    }
  }
})
