function Draw() {
  //margin:70px auto 20px auto;
  var headElem=document.querySelector('head')
  var styles=[
    'lib/wColorPicker.min.css',
    'wPaint.min.css',
  ]
  var scripts=[
    'lib/jquery.1.10.2.min.js',
    'lib/jquery.ui.core.1.10.3.min.js',
    'lib/jquery.ui.widget.1.10.3.min.js',
    'lib/jquery.ui.mouse.1.10.3.min.js',
    'lib/jquery.ui.draggable.1.10.3.min.js',
    'lib/wColorPicker.min.js',
    'wPaint.min.js',
    'plugins/main/src/fillArea.min.js',
    'plugins/main/src/wPaint.menu.main.js',
    'plugins/text/src/wPaint.menu.text.js',
    'plugins/shapes/src/shapes.min.js',
    'plugins/shapes/src/wPaint.menu.main.shapes.js',
  ];
  var allScriptsLoaded=false
  var allStylesLoaded=false
  var scriptsDone=0
  function loadScript(index) {
    if (index===undefined) index=0

    var scriptElem=document.createElement('script')
    scriptElem.onload=function() {
      scriptsDone++
      if (scriptsDone==scripts.length) {
        allScriptsLoaded=true
        phase2()
      } else {
        index++;
        loadScript(index)
      }
    }
    scriptElem.src='../../.static/wPaint/'+scripts[index]
    headElem.appendChild(scriptElem)

  }
  loadScript()
  var stylesDone=0
  for(var i in styles) {
    var linkElem=document.createElement('link')
    linkElem.type='text/css'
    linkElem.rel='stylesheet'
    linkElem.href='../../.static/wPaint/'+styles[i]
    headElem.appendChild(linkElem)
  }

  var paintElem=document.getElementById('wPaint')
  paintElem.style.width=parseInt(document.getElementById('oekakiWidth').value)+'px'
  paintElem.style.height=parseInt(document.getElementById('oekakiHeight').value)+'px'
  paintElem.style.marginTop='50px'
  paintElem.style.backgroundColor='#fff'
  var oekaki = {}
  oekaki.load_img = function() {
    alert(_("Click on any image on this site to load it into oekaki applet"))
    $('img').one('click.loadimg', function(e) {
      $('img').off('click.loadimg')
      e.stopImmediatePropagation()
      e.preventDefault()
      var url = $(this).prop('src')
      $('#wPaint').wPaint('setBg', url)
      return false
    })
  }

  function phase2() {
    $.extend($.fn.wPaint.defaults, {
      mode:        'pencil',  // set mode
      lineWidth:   '1',       // starting line width
      fillStyle:   '#FFFFFF', // starting fill style
      strokeStyle: '#000000',  // start stroke style
    })
    delete $.fn.wPaint.menus.main.items.save

    // init wPaint
    $('#wPaint').wPaint({
      //path: configRoot+'js/wPaint/',
      menuOffsetLeft: -35,
      menuOffsetTop: -50,
      //saveImg: saveImg,
      loadImgBg: oekaki.load_img,
      loadImgFg: oekaki.load_img
    })
  }
}