
// top most point: header.boardHeader
function ann_buildUI() {
  var detailsElem = document.createElement('details')
  // get setting
  var last = getSetting('lastAnnouncement')
  //console.log('last announcement', last, typeof(last))
  detailsElem.open = last === '0'
  detailsElem.addEventListener("toggle", event => {
    if (detailsElem.open) {
      //console.log('opening, setting last to 0')
      getAnnouncements(iframeElem)
      setSetting('lastAnnouncement', '0') // will always store a string
    } else {
      //console.log('closing, setting last to', Date.now())
      setSetting('lastAnnouncement', Date.now(), 10 * 365)
    }
  })
  var iframeElem = document.createElement('iframe')
  iframeElem.width = 400
  //iframeElem.src = 'https://4chan.endchan.net/news.html'
  detailsElem.appendChild(iframeElem)
  var summaryElem = document.createElement('summary')
  summaryElem.innerText = 'Site Announcements'
  detailsElem.appendChild(summaryElem)
  var elems = document.getElementsByClassName('boardHeader')
  if (elems.length) {
    elems[0].appendChild(detailsElem)
  } else {
    console.log('boardHeader', elems)
  }
}

// pull data
function getAnnouncements(iframeElem) {
  // json would be good to get the date
  iframeElem.src = 'https://4chan.endchan.net/news.html'
}

ann_buildUI()
