function syncPostHistoryUI() {
  var input=document.getElementById('useNoPostHistory')
  if (!input) {
    console.log('controlUpdate::syncPostHistoryUI - no #useNoPostHistory found')
    return
  }

  if (input.checked) {
    console.log('nuking post history')
    deleteSetting('myPosts')
  }

  var days=365*10 // remember this setting for 10 years
  setSetting('myUseNoPostHistory', input.checked?'true':'false', days)
}

document.addEventListener('DOMContentLoaded', function(event) {
  // only on the thread page
  // probably should normalize it
  // console.log('controlUpdate enabled')
  var elem=document.querySelector('.divRefresh input[type=checkbox]')
  if (elem) {
    if (getSetting('myAutoRefresh')==='false') {
      changeRefresh()
      elem.checked=false
    }
  } else {
    console.log('controlUpdate - cant find refresh checkbox')
  }

  var elem=document.getElementById('autoCatalogRefreshCheckBox')
  if (elem) {
    var val=getSetting('myAutoRefresh')
    //console.log('myAutoRefresh', val)
    if (val==='true' || val===null) {
      elem.checked=true
      if (typeof(changeCatalogRefresh) !== 'undefined') {
        changeCatalogRefresh()
      }
    }
  } else {
    // most pages aren't the catalog
    //console.log('controlUpdate - cant find autoCatalogRefreshCheckBox checkbox')
  }

  var c=document.querySelector('select[name=switchcolorcontrol]')
  if (c) {
    var label=document.createElement('label')
    label.style.display='inline'
    var input=document.createElement('input')
    input.type='checkbox'
    input.id='useNoPostHistory'
    input.onclick=syncPostHistoryUI
    input.checked=getSetting('myUseNoPostHistory')==='true'
    label.appendChild(input)
    label.appendChild(document.createTextNode('No Post History'))
    c.parentNode.appendChild(label)
  } else {
    console.log('no switchcolorcontrol?')
  }

})
