
function delPost(delelem) {
  var innerPost=delelem.parentNode
  if (!innerPost) {
    console.log('cant locate innerPost in', delelem.parentNode, delelem)
    return
  }
  var checkbox=innerPost.querySelector('input[type=checkbox]')
  if (!checkbox) {
    console.log('cant locate checkbox in', innerPost)
    return
  }
  checkbox.checked=true
}

function updateDelPosts() {
  var input=document.getElementById('hideDel');
  var elems=document.getElementsByClassName('delLink');
  var doLoop=function(i) {
    var elem=elems[i];
    if (!elem) {
      console.log(i, 'is not defined');
      return;
    }
    elem.style.display=input.checked?'none':'inline';
  }
  if (typeof(ioFor)!=='undefined') {
    ioFor(elems.length, function(i, next) {
      doLoop(i);
      // flushes all open timers before continuing
      setImmediate(next);
    });
  } else {
    for(var i=0; i<elems.length; i++) {
      doLoop(i);
    }
  }
  var days=365*10; // remember this setting for 10 years
  setSetting('myHideDel', input.checked?'true':'false', days);
}

document.addEventListener("DOMContentLoaded", function(event) {
  var c=document.querySelector('select[name=switchcolorcontrol]');
  var label=document.createElement('label');
  label.style.display='inline';
  label.id='hideDelLbl';

  var input=document.createElement('input');
  input.type='checkbox';
  input.id='hideDel';
  input.onclick=updateDelPosts;
  input.checked=getSetting('myHideDel')==='true';
  label.appendChild(input);
  label.appendChild(document.createTextNode('Hide del option'));
  c.parentNode.appendChild(label);
  updateDelPosts();
});
