var pageNicoNicoHacked = false

function loadYouTube(url) {
/*
<iframe width="560" height="315"
src="https://www.youtube-nocookie.com/embed/q5LX3vjFr44"
frameborder="0"
allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
allowfullscreen></iframe>
*/
  var iframe = document.createElement('iframe')
  iframe.frameBorder     = 0
  iframe.allowFullScreen = true
  iframe.allow = "accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
  iframe.width  = 560
  iframe.height = 315
  iframe.src    = url
  //iframe.target='_parent'
  return iframe
}
function unloadYouTube(parent) {
  var iframeElem = parent.querySelector('iframe')
  if (iframeElem) {
    parent.removeChild(iframeElem)
  }
}

// so we want to single a single container element
// so we can make clean up more automated and easier
// and we can embed all elements in a single too
// like to get rid of parent but we do lose some flexibility

function loadNicoNico(parent, url) {
  var videoid = url.replace('http://www.nicovideo.jp/watch/', '')
  if (location.protocol === 'https:') {
    // gonna have to ajax load the SOB and hack up the URLs in the script
    postscribe(parent, '<script src="'+'https://endchan.net/.niconico/thumb_watch/'+videoid+'"><\/script>')
  } else {
    postscribe(parent, '<script src="'+'http://ext.nicovideo.jp/thumb_watch/'+videoid+'"><\/script>')
  }
  return document.createElement('span')
}

function unloadNicoNico(parent) {
  while(parent.childNodes[0]) {
    //console.log('removing', newsElem.childNodes[showNews+1].threadId, newsElem.childNodes[showNews+2].innerText)
    parent.removeChild(parent.childNodes[0])
  }
}

function loadTikTok(parent, url) {
  console.log('loadTikTok parent', parent)
  console.log('loadTikTok url', url)
  var videoid = url.replace(/https:\/\/www\.tiktok\.com\/\@[^\/]+\/video\//i, '')
  var divMsg = parent.parentNode;
  var containerElem = document.createElement('span')

  divMsg.style.maxHeight = '1040px'

  var bqElem  = document.createElement('blockquote')
  bqElem.className = 'tiktok-embed'
  bqElem.cite      = url
  bqElem.innerHTML = '<section><a href=""></a><p></p></section>';
  bqElem.style.minWidth = '325px';
  bqElem.style.maxWidth = '605px';
  bqElem.setAttribute('data-video-id', videoid)
  //bqElem.dataset['video-id'] = videoid
  containerElem.appendChild(bqElem)

  var videoElem   = document.createElement('script')
  videoElem.type  = 'text/javascript'
  videoElem.src   = 'https://www.tiktok.com/embed.js'
  videoElem.async = true
  containerElem.appendChild(videoElem)
  parent.appendChild(containerElem)
  return containerElem
}
function unloadTiktok(parent) {
  var divMsg = parent.parentNode
  divMsg.style.maxHeight = '640px'
  var bqElem = parent.querySelector('blockquote')
  if (bqElem) {
    parent.removeChild(bqElem)
  }
  var scriptElem = parent.querySelector('script')
  if (scriptElem) {
    parent.removeChild(scriptElem)
  }
}


// https://static-3.bitchute.com/live/cover_images/bKgcgMt0GPbD/VIDEOID_640x360.jpg
function loadBitchute(parent, url) {
  console.log('loadBitchute parent', parent)
  console.log('loadBitchute url', url)
  var embedUrl = url.replace(/\/video\//i, '/embed/')
  var divMsg = parent.parentNode
  divMsg.style.maxHeight = '750px'
  console.log('embedUrl', embedUrl)
  var iframeElem = document.createElement('iframe')
  iframeElem.src = embedUrl
  iframeElem.width = '1280px'
  iframeElem.height = '720px'
  //iframeElem.style.maxWidth = '100%'
  parent.appendChild(iframeElem)
  return iframeElem
}
function unloadBitchute(parent) {
  var divMsg = parent.parentNode
  divMsg.style.maxHeight = '640px'
  var iframeElem = parent.querySelector('iframe')
  if (iframeElem) {
    parent.removeChild(iframeElem)
  }
}

function youtubeTranslateUrl(url) {
  // check for #t=1h1m1s
  var st_regex = /(#t=[0-9a-zA-z]+)/gi
  var smatch = st_regex.exec(url)
  //var startString = ''
  var secs = 0
  if (smatch) {
    var st_regex2 = /#t=([0-9a-zA-z]+)/gi
    var smatch2 = st_regex2.exec(url)

    var sth_regex = /([0-9]+h)/gi
    var smatch3 = sth_regex.exec(smatch2[1])
    if (smatch3) {
      secs += parseInt(smatch3[1])*3600
    }

    var stm_regex = /([0-9]+m)/gi
    var smatch4 = stm_regex.exec(smatch2[1])
    if (smatch4) {
      secs += parseInt(smatch4[1])*60
    }

    var sts_regex = /([0-9]+s)/gi
    var smatch5 = sts_regex.exec(smatch2[1])
    if (smatch5) {
      secs += parseInt(smatch5[1])
    }
  }
  return {
    secs: secs,
    smatch: smatch,
    smatch2: smatch2,
  }
}

function addToPostMedia(parent, key, endchanSafeThumbImgUrl, thumbImgHqUrl, thumbTitle, watchUrl, inserter) {
  var topPost = parent.parentNode.parentNode
  if (!topPost) {
    console.error('no topPost in', parent)
    return
  }
  var panelUploads = topPost.querySelector('.panelUploads')
  if (!panelUploads) {
    console.error('no panelUploads class in', topPost)
    return
  }
  var haveElem = panelUploads.querySelector('figure#id' + key)
  if (haveElem) {
    // already have this elem
    return
  }
  var figure=document.createElement('figure')
  figure.className = 'uploadCell'
  figure.id = 'id' + key
  figure.innerHTML = '<div class="uploadDetails embeddableMedia">'+
      '(<span class="sizeLabel"></span>'+
      '<span class="dimensionLabel"></span>'+
      ' <a class="originalNameLink" href="' + thumbImgHqUrl + '" target="_blank">' + thumbTitle + '</a> )'+
    '</div>'+
    '<a class="imgLink" target="_blank" href="' + watchUrl + '" data-filemime="image/jpeg">'+
      '<img src="' + endchanSafeThumbImgUrl + '" loading="lazy">'+
    '</a>'

  //console.log('topPost', topPost)
  panelUploads.appendChild(figure)
  var activateLink = figure.querySelector('a.imgLink')
  if (!activateLink) {
    console.error('no activateLink class in', figure)
    return
  }
  //console.log('activateLink', activateLink)
  activateLink.onclick=function() {
    var img = this.querySelector('img') // find our thumb (child img tag)
    var imgParent = img.parentNode

    // swap image out for viewer
    imgParent.removeChild(img)

    // insert elem
    //console.log('activateLink href', this.href, activateLink.href, activateLink)
    var viewerElem = inserter(imgParent, this.href)
    imgParent.appendChild(viewerElem)

    // add close link to details...
    var link=document.createElement('a')
    link.class="closeThumb"
    link.appendChild(document.createTextNode('Close'))
    link.href="#"
    link.onclick=function() {
      // this is the close code
      imgParent.removeChild(viewerElem) // remove viewerElem
      imgParent.appendChild(img) // add img back
      // remove self
      this.parentNode.removeChild(this) // remove close link wrapper
      return false
    }
    var details=figure.querySelector('.uploadDetails')
    //console.log('details', details)
    details.appendChild(document.createTextNode(' '))
    details.appendChild(link)

    return false
  }

  // we just added, check if we need the multipleUploads class..
  if (panelUploads.children.length > 1) {
    // FIXME: use the class.add style
    topPost.parentNode.className='postCell multipleUploads'
  }
}

function updateEmbedElements() {
  // find youtube embeds in the HTML
  // and activate them
  // refreshCallback in thread.js also calls this on page refresh
  //console.trace('updateEmbedElements called')

  var elems=document.querySelectorAll('.youtube_wrapper a')
  //console.log('scanning for embeds', elems.length)
  for(var i in elems) {
    if (!elems.hasOwnProperty(i)) continue
    var elem=elems[i]
    // add click handlers
    elem.onclick=function() {
      //console.log('innerText', this.innerText)
      var parent=this.parentNode
      if (this.innerText=='Embed') {
        var url=this.href+'?autoplay=1'
        // or trying adding &output=embed
        // yea you weren't using /embed/ or v/
        url=url.replace("watch?v=", 'embed/') // iframe hack

        var resObj = youtubeTranslateUrl(url)
        if (resObj.secs) {
          url = url.replace(resObj.smatch[1], '') + '&start=' + resObj.secs
        }
        //console.log('url', url)

        var iframe = loadYouTube(url)
        iframe.style.display = 'block'
        parent.insertBefore(iframe, parent.childNodes[0])
        //parent.appendChild(iframe)
        this.innerText = 'Unembed'
      } else {
        this.innerText = 'Embed'
        unloadYouTube(parent)
      }
      return false
    }

    // only put first 5 (starts at 0) embeds in files section
    if (i>4) continue;

    // panelUploads
    var topPost=elem.parentNode.parentNode.parentNode
    //console.log('topPost', topPost)
    var panelUploads=topPost.querySelector('.panelUploads')
    if (!panelUploads) {
      console.log('No .panelUploads in', topPost);
      continue;
    }
    //console.log('panelUploads', panelUploads, 'children', panelUploads.children.length)

    var parts=elem.href.match(/v=([^&]+)/)
    //console.log('parts', parts)
    var resObj = youtubeTranslateUrl(parts[1])
    var secs = 0
    var smatch2
    if (resObj.secs) {
      secs = resObj.secs
      smatch2 = resObj.smatch2
    }

    var st_regex = /(#t=[0-9a-zA-z]+)/gi
    var videoid=parts[1].replace(st_regex, '')
    //console.log('adding videoid to media section', videoid)
    // capture for the inner function
    function scope(videoid, secs) {
      addToPostMedia(
        elem.parentNode, videoid, '/.youtube/vi/'+videoid+'/mqdefault.jpg',
        '//img.youtube.com/vi/'+videoid+'/hqdefault.jpg',
        'YouTube Embed'+(secs?' [starting at '+smatch2[1]+']':''),
        '//www.youtube-nocookie.com/embed/'+videoid+'?&autoplay=1'+(secs?('&start='+secs):''),
        function() {
          //console.log('videoid', videoid)
          var iframe = loadYouTube('//www.youtube-nocookie.com/embed/'+videoid+'?autoplay=1'+(secs?('&start='+secs):''))
          return iframe
        })
    }
    scope(videoid, secs)
  }

  var elems=document.querySelectorAll('.niconico_wrapper a')
  for(var i in elems) {
    var elem=elems[i]
    elem.onclick=function() {
      //var videoid=this.href.replace('http://www.nicovideo.jp/watch/', '')
      //console.log('videoid', videoid)
      //var parent=this.parentNode
      unloadNicoNico(this.parentNode)
      /*
      var videoElem=document.createElement('script')
      videoElem.type='text/javascript'
      videoElem.src='http://ext.nicovideo.jp/thumb_watch/'+videoid
      videoElem.async=false
      //iframe.target='_parent'
      parent.appendChild(videoElem)
      */
      loadNicoNico(this.parentNode, this.href)
      /*
      if (location.protocol === 'https:') {
        // gonna have to ajax load the SOB and hack up the URLs in the script
        postscribe(parent, '<script src="'+'https://endchan.net/.niconico/thumb_watch/'+videoid+'"><\/script>')
      } else {
        postscribe(parent, '<script src="'+'http://ext.nicovideo.jp/thumb_watch/'+videoid+'"><\/script>')
      }
      */
      //document.write('<script type="text/javascript" src="http://ext.nicovideo.jp/thumb_watch/'+videoid+'"></script>')
      return false
    }
  }

  // 17k if you have a single niconico embed...
  // maybe can move to onhover later
  if (!pageNicoNicoHacked && elems.length) {
    var hackScript=document.createElement('script')
    hackScript.type='text/javascript'
    hackScript.src='https://cdnjs.cloudflare.com/ajax/libs/postscribe/2.0.6/postscribe.min.js'
    if (elem.parentNode) {
      elem.parentNode.parentNode.appendChild(hackScript)
      pageNicoNicoHacked=true
    }
  }

  var list = ['tiktok', 'bitchute']
  // key, thumbs, thumb relay, title...
  // library needed...
  var dataMap = {
    tiktok: {
      inserter: loadTikTok
    },
    bitchute: {
      inserter: loadBitchute
    }
  }
  for(var i in list) {
    var type = list[i]
    var typeInfo = dataMap[type]
    // console.log('type', type, 'typeInfo', typeInfo)
    var inserter = typeInfo.inserter
    var elems = document.querySelectorAll('.' + type + '_wrapper a')
    for(var j in elems) {
      var elem = elems[j]
      // capture scope
      function scopeMe(inserter) {
        elem.onclick=function() {
          if (this.innerText=='Embed') {
            this.elem = inserter(this.parentNode, this.href)
            //parent.appendChild(this.elem)
            this.innerText='Unembed'
          } else {
            //unloadTiktok(parent)
            parent.removeChild(this.elem)
            this.innerText = 'Embed'
          }
          return false
        }
      }
      scopeMe(inserter)
    }
  }
}

document.addEventListener("DOMContentLoaded", function(event) {
  //console.log('embed detects page is loaded')
  updateEmbedElements()
})
