
// each are grouped in a figure.uploadCell
var files=document.querySelectorAll('figure.uploadCell');
for(var i=0; i<files.length; i++) {
  var file=files[i];
  // find originalNameLink
  var orig=file.querySelector('.originalNameLink');
  // then imgLink
  var link=file.querySelector('.imgLink');
  // change imgLink.href to originalNameLink.href
  if (link && orig) {
    // why... the original filename is in download property
    // well let's see when we need this...
    if (link.href != orig.href) {
      console.log('changing', link.href, 'to', orig.href);
      link.href=orig.href;
    }
    // set the download attribute
    link.download = orig.download;
  }
  // maybe set download attribute, nah it forces a download
  //console.log('file', i, file, orig, link);
}

// shorten filenames over 35 characters
document.addEventListener("DOMContentLoaded", function(event) {
  var elems=document.getElementsByClassName('originalNameLink');
  //console.log('looking at', elems.length, 'links');
  for(var i=0; i<elems.length; i++) {
    var link=elems[i];
    //console.log('link', i, 'length is', link.textContent.length)
    if (link.textContent.length>35) {
      link.title=link.textContent;
      link.textContent=link.textContent.substr(0, 35)+'...';
    }
  }
});


